mysqli_stmt::bind_result
mysqli_stmt::data_seek
MySQLi_STMT
PHP Manual

# mysqli_stmt::close

# mysqli_stmt_close

(PHP 5)

mysqli_stmt::close -- mysqli_stmt_close — Closes a prepared statement

### Description

Object oriented style (method):

bool mysqli_stmt::close ( void )

Procedural style:

bool mysqli_stmt_close ( mysqli_stmt `$stmt` )

Closes a prepared statement. mysqli_stmt_close() also deallocates the statement handle. If the current statement has pending or unread results, this function cancels them so that the next query can be executed.

### Parameters

`stmt`

  Procedural style only: A statement identifier returned by mysqli_stmt_init().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- mysqli_prepare()

mysqli_stmt::bind_result
mysqli_stmt::data_seek
MySQLi_STMT
PHP Manual